/*
Styles added to allow the portals menu being in permanent mode just for desktop
resolutions. The page structure has been affected by JS to place the containers
in a different position to allow the 'permanent' style just for the main navigation menu
*/
@media (min-width: 960px) {
  .portalpage-main {
    --portalpage-main-grid-template-columns: max-content auto;
    overflow: hidden;
    display: grid;
    grid-template-columns: var(--portalpage-main-grid-template-columns);
    grid-template-rows: calc(100dvh - var(--portalpage-header-height));
  }
  .aem-AuthorLayer-Edit .portalpage-main {
    grid-template-rows: max-content;
  }
  .portalpage-main:has(.vcdk-side-menu[collapse]) {
    --portalpage-main-grid-template-columns: 0 auto;
    overflow: hidden;
    padding-inline-end: 0;
  }
  .portalpage-main__root-wrapper {
    overflow-y: scroll;
  }
  .portalpage-main__root-wrapper:has(.main-grid.white-bg) {
    background-color: var(--vcdk-color-bg);
  }
  .portalpage-main .root.responsivegrid {
    padding-inline: var(--vcdk-spacing-6);
    overflow-x: hidden;
    min-height: calc(100dvh - var(--portalpage-header-height, 0px) - var(--portalpage-footer-height, 0px));
  }
  .aem-AuthorLayer-Edit .portalpage-main .root.responsivegrid {
    min-height: auto;
  }
  .homepage .portalpage-main .root.responsivegrid {
    padding-inline: 0;
  }
  .portalpage-main .root.responsivegrid .aem-Grid {
    margin-inline: auto;
  }
  .portalpage-main .vcdk-side-menu::part(menu) {
    height: 100%;
    transform: translateX(var(--side-menu-translate-x, 0));
    transition: transform 0.4s ease, width 0.4s ease;
    position: relative;
    z-index: 4;
  }
  .portalpage-main .vcdk-side-menu[collapse] {
    --side-menu-translate-x: -100%;
    --side-menu-content-opacity: 0;
  }
  .portalpage-main .vcdk-side-menu__header {
    display: none;
  }
  .portalpage-main .vcdk-side-menu__content {
    padding-block-start: 0;
    border: none;
    opacity: var(--side-menu-content-opacity, 1);
    transition: opacity 0.2s ease;
  }
}

.basepage:has(.portalpage-main) .footer__container,
.basepage:has(.portalpage-main) .footer__bar-wrapper {
  margin-inline: auto;
}
.basepage:has(vcdk-side-menu:not(:defined)) {
  opacity: 0;
}

.header {
  position: sticky;
  inset-block-start: 0;
  z-index: 4;
}

.logo__alignment--center .appbartop .appbartop__logo {
  position: absolute;
  inset-inline-start: 50%;
  transform: translateX(-50%);
}
html[dir=rtl] .logo__alignment--center .appbartop .appbartop__logo {
  transform: translate(50%, -50%);
}
.logo__alignment--center .appbartop .appbartop__slot--brand {
  --appbartop-brand-grid-template-columns: 1fr 1fr;
}
.logo__alignment--center .appbartop .appbartop__main {
  position: relative;
}
.appbartop__base {
  --appbartop-search-display: none;
  --appbartop-base-grid-template-rows: 1fr;
  --appbartop-base-grid-row-gap: 0;
  align-items: center;
  background-color: var(--vcdk-color-bg);
  border-block-end: 1px solid var(--vcdk-color-border-subtle);
  display: grid;
  grid-template-columns: 1fr max-content;
  grid-template-rows: var(--appbartop-base-grid-template-rows);
  padding-block: var(--vcdk-spacing-4);
  padding-inline: var(--vcdk-spacing-6);
  position: relative;
}
@media (min-width: 960px) {
  .appbartop__base {
    grid-template-columns: max-content 1fr max-content max-content;
    grid-template-rows: auto;
  }
}
.appbartop__base--show-search {
  --appbartop-search-display: block;
  --appbartop-base-grid-template-rows: 1fr 1fr;
}
[data-vcdk-brand=renault] .appbartop__base::before {
  background-color: var(--vcdk-color-bg-highlight);
  clip-path: polygon(0% 0%, calc(100% - 13px) 0%, 100% 50%, calc(100% - 13px) 100%, 100% 100%, 0% 100%, 0% 50%, 0% 50%);
  content: "";
  display: block;
  height: 44px;
  inset-block-start: var(--appbartop-renault-chevron-block-start, 7px);
  inset-inline-start: 2px;
  position: absolute;
  width: 13px;
}
[data-vcdk-brand=renault] .appbartop__base::after {
  background-color: var(--vcdk-color-bg-highlight);
  content: "";
  display: block;
  inset-block: 0 -1px;
  inset-inline-start: 0;
  position: absolute;
  width: 3px;
}
@media (min-width: 960px) {
  [data-vcdk-brand=renault] .appbartop__base {
    --appbartop-renault-chevron-block-start: 12px;
  }
}
.appbartop__slot--brand {
  --appbartop-brand-grid-template-columns: auto 1fr;
  display: grid;
  align-items: center;
  grid-template-columns: var(--appbartop-brand-grid-template-columns);
  grid-gap: var(--vcdk-spacing-7);
}
.appbartop__slot--meta {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: var(--vcdk-spacing-4);
}
.appbartop__slot--search {
  display: var(--appbartop-search-display);
  grid-column: 1/span 2;
  grid-row: 2;
}
@media (min-width: 960px) {
  .appbartop__slot--search {
    grid-column: 2/span 1;
    grid-row: 3;
    justify-self: flex-end;
    position: absolute;
    padding-inline-end: var(--vcdk-spacing-4);
  }
}
@media (max-width: 959px) {
  .appbartop__slot--search .cmp-search__input {
    width: 100%;
  }
}
.appbartop__slot--burger {
  border-inline-end: 2px solid var(--vcdk-color-border-subtle);
  padding-inline-end: var(--vcdk-spacing-4);
  margin-inline-end: var(--vcdk-spacing-4);
}
.appbartop__logo img {
  max-height: 44px;
  max-width: 300px;
}
@media (max-width: 767px) {
  .appbartop__logo img {
    max-width: 150px;
  }
}
.appbartop__company {
  font-family: var(--vcdk-typography-button-font-family-small-screens);
  font-weight: var(--vcdk-typography-button-weight-small-screens);
  font-size: var(--vcdk-typography-button-size-small-screens);
  line-height: var(--vcdk-typography-button-line-height-small-screens);
  letter-spacing: var(--vcdk-typography-button-letter-spacing-small-screens);
}
@media (min-width: 904px) {
  .appbartop__company {
    font-family: var(--vcdk-typography-button-font-family-large-screens);
    font-weight: var(--vcdk-typography-button-weight-large-screens);
    font-size: var(--vcdk-typography-button-size-large-screens);
    line-height: var(--vcdk-typography-button-line-height-large-screens);
    letter-spacing: var(--vcdk-typography-button-letter-spacing-large-screens);
  }
}
@media (min-width: 960px) {
  .appbartop__company {
    font-family: var(--vcdk-typography-body-font-family-small-screens);
    font-weight: var(--vcdk-typography-body-weight-small-screens);
    font-size: var(--vcdk-typography-body-size-small-screens);
    line-height: var(--vcdk-typography-body-line-height-small-screens);
    letter-spacing: var(--vcdk-typography-body-letter-spacing-small-screens);
  }
}
@media (min-width: 960px) and (min-width: 904px) {
  .appbartop__company {
    font-family: var(--vcdk-typography-body-font-family-large-screens);
    font-weight: var(--vcdk-typography-body-weight-large-screens);
    font-size: var(--vcdk-typography-body-size-large-screens);
    line-height: var(--vcdk-typography-body-line-height-large-screens);
    letter-spacing: var(--vcdk-typography-body-letter-spacing-large-screens);
  }
}
.appbartop__company,
.appbartop__company a {
  color: var(--vcdk-color-text);
}
.appbartop__brand-name {
  min-width: 0;
  padding-inline: var(--vcdk-spacing-4);
}
@media (max-width: 767px) {
  .appbartop__brand-name {
    max-width: 75%;
  }
}
.appbartop__brand-name a {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  max-width: -moz-fit-content;
  max-width: fit-content;
}
.appbartop__market {
  font-family: var(--vcdk-typography-caption-2-font-family-small-screens);
  font-weight: var(--vcdk-typography-caption-2-weight-small-screens);
  font-size: var(--vcdk-typography-caption-2-size-small-screens);
  line-height: var(--vcdk-typography-caption-2-line-height-small-screens);
  letter-spacing: var(--vcdk-typography-caption-2-letter-spacing-small-screens);
  color: var(--vcdk-color-text-subtle);
}
@media (min-width: 904px) {
  .appbartop__market {
    font-family: var(--vcdk-typography-caption-2-font-family-large-screens);
    font-weight: var(--vcdk-typography-caption-2-weight-large-screens);
    font-size: var(--vcdk-typography-caption-2-size-large-screens);
    line-height: var(--vcdk-typography-caption-2-line-height-large-screens);
    letter-spacing: var(--vcdk-typography-caption-2-letter-spacing-large-screens);
  }
}
@media (min-width: 960px) {
  .appbartop__market {
    font-family: var(--vcdk-typography-caption-1-font-family-small-screens);
    font-weight: var(--vcdk-typography-caption-1-weight-small-screens);
    font-size: var(--vcdk-typography-caption-1-size-small-screens);
    line-height: var(--vcdk-typography-caption-1-line-height-small-screens);
    letter-spacing: var(--vcdk-typography-caption-1-letter-spacing-small-screens);
  }
}
@media (min-width: 960px) and (min-width: 904px) {
  .appbartop__market {
    font-family: var(--vcdk-typography-caption-1-font-family-large-screens);
    font-weight: var(--vcdk-typography-caption-1-weight-large-screens);
    font-size: var(--vcdk-typography-caption-1-size-large-screens);
    line-height: var(--vcdk-typography-caption-1-line-height-large-screens);
    letter-spacing: var(--vcdk-typography-caption-1-letter-spacing-large-screens);
  }
}
.appbartop__menu-trigger--userProfile {
  font-family: var(--vcdk-typography-caption-1-font-family-small-screens);
  font-weight: var(--vcdk-typography-caption-1-weight-small-screens);
  font-size: var(--vcdk-typography-caption-1-size-small-screens);
  line-height: var(--vcdk-typography-caption-1-line-height-small-screens);
  letter-spacing: var(--vcdk-typography-caption-1-letter-spacing-small-screens);
  color: var(--vcdk-color-text);
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  padding-inline: var(--vcdk-spacing-4);
  padding-block: var(--vcdk-spacing-4);
  margin-inline: var(--vcdk-spacing-5);
  gap: var(--vcdk-spacing-5);
  width: calc(100% - var(--vcdk-spacing-5) * 2);
  border-radius: var(--vcdk-radius-default);
}
@media (min-width: 904px) {
  .appbartop__menu-trigger--userProfile {
    font-family: var(--vcdk-typography-caption-1-font-family-large-screens);
    font-weight: var(--vcdk-typography-caption-1-weight-large-screens);
    font-size: var(--vcdk-typography-caption-1-size-large-screens);
    line-height: var(--vcdk-typography-caption-1-line-height-large-screens);
    letter-spacing: var(--vcdk-typography-caption-1-letter-spacing-large-screens);
  }
}
.appbartop__menu-trigger--userProfile span {
  transition: color 0.1s linear;
  color: var(--link-color, var(--vcdk-color-text-link));
  -webkit-text-decoration: var(--link-text-decoration, underline);
          text-decoration: var(--link-text-decoration, underline);
  --link-color: var(--vcdk-color-text);
  --link-text-decoration: none;
}
.appbartop__menu-trigger--userProfile span:hover, .appbartop__menu-trigger--userProfile span:focus, .appbartop__menu-trigger--userProfile span:active {
  text-decoration: underline;
}
.appbartop__menu-trigger--userProfile span:hover, .appbartop__menu-trigger--userProfile span:focus {
  --link-color: var(--vcdk-color-text-subtle);
}
.appbartop__menu-trigger--userProfile span:active {
  --link-color: var(--vcdk-color-text);
}
@media (min-width: 960px) {
  .appbartop__menu-trigger--userProfile {
    padding-block: var(--vcdk-spacing-2);
    padding-inline-end: 0;
    margin-inline: 0;
    flex-flow: row-reverse;
    width: auto;
  }
}
@media (min-width: 960px) {
  .appbartop__menu-trigger--notificationsPanel, .appbartop__menu-trigger--externalNotificationPanel {
    padding: var(--vcdk-spacing-4);
    border-radius: var(--vcdk-radius-default);
    cursor: pointer;
  }
  .appbartop__menu-trigger--notificationsPanel:hover, .appbartop__menu-trigger--externalNotificationPanel:hover {
    background-color: var(--vcdk-color-bg-button-tertiary-hover);
  }
  .appbartop__menu-trigger--notificationsPanel:active, .appbartop__menu-trigger--externalNotificationPanel:active {
    background-color: var(--vcdk-color-bg-button-tertiary-pressed);
  }
}
.appbartop__menu-trigger-divider {
  display: none;
}
@media (min-width: 960px) {
  .appbartop__menu-trigger-divider {
    display: block;
    width: 1px;
    height: 40px;
    background-color: var(--vcdk-color-border-subtle);
  }
  .appbartop__menu-trigger-divider:first-child {
    display: none;
  }
}
.appbartop__extended {
  position: relative;
}
.appbartop__extended:has(.megamenu--mobile) {
  width: 100%;
}
@media (min-width: 960px) {
  .appbartop__mainNavigation .cmp-navigation {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    padding-inline: var(--vcdk-spacing-6);
    border-block-end: 1px solid var(--vcdk-color-border-subtle);
  }
  .appbartop__mainNavigation .cmp-navigation__group {
    gap: var(--vcdk-spacing-9);
  }
  .appbartop__mainNavigation .cmp-navigation__item {
    margin-block-end: 1px;
  }
  .appbartop__mainNavigation .cmp-navigation__item:hover, .appbartop__mainNavigation .cmp-navigation__item--active {
    background-color: transparent;
    border-bottom: 2px solid var(--vcdk-color-text-selected);
    margin-block-end: -1px;
  }
  .appbartop__mainNavigation .cmp-navigation__item:hover .cmp-navigation__item-link, .appbartop__mainNavigation .cmp-navigation__item--active .cmp-navigation__item-link {
    color: var(--vcdk-color-text-selected);
  }
  .appbartop__mainNavigation .cmp-navigation__item-link {
    padding-block: var(--vcdk-spacing-5);
    padding-inline: 0;
  }
}
/*# sourceMappingURL=data:application/json;base64,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 */